diff --git a/Control/CalypsoExample/Digitization/scripts/faser_digi_merge.py b/Control/CalypsoExample/Digitization/scripts/faser_digi_merge.py
index 89fe4fb095846cba78e799b272fafd81302b757f..ea135db8346438f9a392959d7791744997353a1e 100755
--- a/Control/CalypsoExample/Digitization/scripts/faser_digi_merge.py
+++ b/Control/CalypsoExample/Digitization/scripts/faser_digi_merge.py
@@ -62,6 +62,9 @@ if len(dirlist) == 0:
     print(f"No HITS file found in directory {args.dir_path}")
     sys.exit(1)
 
+print("HITS files available:")
+[print(file) for file in dirlist]
+
 for seg in seglist:
     # Assume these are in numerical order from 0
     if seg >= len(dirlist):
@@ -73,9 +76,12 @@ for seg in seglist:
 
     # Check if segment number exists in hits file (this is not perfect)
     segstr = f"{seg:05d}"
-    if segstr not in dirlist[seg]:
-        print(f"Segment {segstr} not in file {dirlist[seg]}!")
+    if segstr not in dirlist[seg].name:
+        print(f"Segment {segstr} not in file {dirlist[seg].name}!")
         if not args.partial: sys.exit(1) # abort
+    else:
+        print(f"Segment {segstr} found in file {dirlist[seg]}")
+
     filelist.append(dirlist[seg])  
 
 if len(filelist) == 0:
diff --git a/Control/CalypsoExample/Reconstruction/scripts/faser_reco.py b/Control/CalypsoExample/Reconstruction/scripts/faser_reco.py
index b4568e9051de5fcafc3d0e4d6965cca13184a9c8..d8387fcb694cab87a7fa6419a93f03afdddd7b36 100755
--- a/Control/CalypsoExample/Reconstruction/scripts/faser_reco.py
+++ b/Control/CalypsoExample/Reconstruction/scripts/faser_reco.py
@@ -52,7 +52,7 @@ elif args.testBeam:
     runtype = "TestBeamData"
 
 else:
-
+    print(f"Assuming TI12 geometry")
     runtype = "TI12Data03"
 
     # Try to pick correct geometry from run number
diff --git a/Control/CalypsoExample/Reconstruction/scripts/submit_faserMDC_reco.sh b/Control/CalypsoExample/Reconstruction/scripts/submit_faserMDC_reco.sh
index 5dacef1cf4152e0a1cd817d7e52e9c38c65a1fb9..e4d93ba6487000c7c939ee57d79dd704dad96324 100755
--- a/Control/CalypsoExample/Reconstruction/scripts/submit_faserMDC_reco.sh
+++ b/Control/CalypsoExample/Reconstruction/scripts/submit_faserMDC_reco.sh
@@ -123,8 +123,8 @@ cd "$release_directory"
 #
 # Do this by hand
 asetup --input=calypso/asetup.faser Athena,22.0.49
-source build/x86*/setup.sh
-#
+source run/setup.sh
+#source build/x86*/setup.sh
 #
 # Try to find a release tag
 cd calypso
@@ -158,11 +158,13 @@ cd "$file_stem"
 #
 # Run job
 if [[ -z "$tag" ]]; then
-    faserMDC_reco.py "--nevents=$nevents" "$file_path"
+    tagstr=""
 else
-    faserMDC_reco.py "--nevents=$nevents" "--reco=$tag" "$file_path"
+    tagstr="--reco=$tag"
 fi
 #
+faser_reco.py "--nevents=$nevents" $tagstr "$file_path" 
+#
 # Print out ending time
 date
 echo "Job finished after $SECONDS seconds"
@@ -172,26 +174,30 @@ export EOS_MGM_URL=root://eospublic.cern.ch
 #
 if ! [ -z "$outdest" ]
 then
+    echo "Output directory:"
     ls -l
-    echo "copy *-RDO.root to $outdest"
-    mkdir -p $outdest
+    echo "copy *-xAOD.root to $outdest"
+    eos mkdir -p $outdest
     # Keep this line from stopping script, so we might get a log file
-    eos cp *-xAOD.root ${outdest}/ || true
+    # || true ensures script continues even if copy fails
+    eos cp *-xAOD.root ${outdest}/ || true   
 fi
 #
-# Also copy log file
+# Copy log file second
 if ! [ -z "$logdest" ]
 then
     cd ..
+    echo "Working directory:"
     ls -l
     echo "copy $logfile to $logdest"
-    mkdir -p $logdest
+    eos mkdir -p $logdest
     eos cp $logfile $logdest/$logfile
 elif ! [ -z "$outdest" ]
 then 
     cd ..
+    echo "Working directory:"
     ls -l
     echo "copy $logfile to $outdest"
-    mkdir -p $outdest
+    eos mkdir -p $outdest
     eos cp $logfile $outdest/$logfile
 fi